Retrieve an application asset from an application backup for an app
Retrieves an application asset from an application backup, providing the stored resource in the JSON response body. Use this endpoint to access specific assets for recovery or analysis.
HTTP method and endpoint
GET /accounts/{account_id}/k8s/v1/apps/{app_id}/appBackups/{appBackup_id}/appAssets/{appAsset_id}
Usage notes
Returns the stored Application Asset API resource in the JSON response body.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
ID of the containing account resource
|
app_id |
string |
path |
True |
ID of the containing app resource |
appBackup_id |
string |
path |
True |
ID of the containing appBackup resource |
appAsset_id |
string |
path |
True |
ID of the appAsset collection to list |
Response
Status: 200, Returns the stored Application Asset API resource in the JSON response body.
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource. Defined values are:
|
id |
string |
True |
Globally unique identifier of the resource. Defined values are:
|
assetType |
string |
True |
JSON string containing a value indicating what type of asset is being described as obtained from Kubernetes. Defined values are:
|
creationTimestamp |
string |
True |
JSON string containing a timestamp indicating when the Kubernetes metadata was created. Defined values are:
|
GVK |
True |
JSON object containing a Kubernetes group/version/kind. |
|
resource |
False |
JSON object containing the entire content of the Kubernetes resource definition. |
|
assetID |
string |
True |
JSON string containing an identifier assigned by Kubernetes. Defined values are:
|
labels |
array[labels] |
True |
JSON array of JSON objects, each containing a Kubernetes labels associated with the asset. If no details are available, this array will be empty.
|
assetName |
string |
True |
JSON string containing a name assigned by Kubernetes. Defined values are:
|
namespace |
string |
False |
JSON string containing a namespace assigned by Kubernetes. Defined values are:
|
metadata |
True |
Client and service-specified metadata associated with the resource. Defined values are:
|
Example response
{
"type": "application/astra-appAsset",
"version": "1.1",
"id": "6415e851-b820-553b-9432-ebd057d1917d",
"assetType": "Pod",
"creationTimestamp": "2020-08-06T12:24:52.256624Z",
"GVK": {
"group": "apps",
"kind": "Pod",
"version": "v1"
},
"assetID": "93ec0c61-d993-4aa1-bb08-f4dcdd5e97f6",
"labels": [
{
"name": "app",
"value": "mediawiki"
},
{
"name": "pod-template-hash",
"value": "69c6fcf864"
}
],
"assetName": "mediawiki-69c6fcf864-2wx6l",
"namespace": "wiki",
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
Response
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
Response
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
array[invalidParams] |
False |
List of invalid query parameters |
Example response
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
Response
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example error response
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
Definitions
See Definitions
GVK
JSON object containing a Kubernetes group/version/kind.
| Name | Type | Required | Description |
|---|---|---|---|
group |
string |
False |
JSON string containing a group identifier assigned by Kubernetes. Defined values are:
|
kind |
string |
False |
JSON string containing a kind identifier assigned by Kubernetes. Defined values are:
|
version |
string |
False |
JSON string containing a version identifier assigned by Kubernetes. Defined values are:
|
type_json
JSON object containing the entire content of the Kubernetes resource definition.
labels
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
JSON string containing the label name Defined values are:
|
value |
string |
True |
JSON string containing the label value Defined values are:
|
type_astra_label
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata
Client and service-specified metadata associated with the resource. Defined values are:
-
Conforms to the Astra Metadata Schema
| Name | Type | Required | Description |
|---|---|---|---|
labels |
array[type_astra_label] |
True |
|
creationTimestamp |
string |
True |
|
modificationTimestamp |
string |
True |
|
createdBy |
string |
True |
|
modifiedBy |
string |
False |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid query parameter |
reason |
string |
True |
Reason why the query parameter is invalid |